package com.danding.yang800.Vo;

import java.util.List;

/**
 * Created by Administrator on 2018/1/6.
 */
public class UsedTicketVO {


    /**
     * success : true
     * result : [{"storeName":"18096634130的店铺","storeId":19,"promotionId":1,"discountFee":0,"condition":"满7元使用","name":"代金券","userTimeRange":"2017.12.11-2018.04.06","canShare":false,"status":1,"userPromotionId":6,"userReceiveAvatar":"微信头像","userReceiveName":"微信用户名称","userReceiveTime":"用户领取时间"}]
     */

    private boolean success;
    private List<ResultBean> result;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public List<ResultBean> getResult() {
        return result;
    }

    public void setResult(List<ResultBean> result) {
        this.result = result;
    }

    public static class ResultBean {
        /**
         * storeName : 18096634130的店铺
         * storeId : 19
         * promotionId : 1
         * discountFee : 0
         * condition : 满7元使用
         * name : 代金券
         * userTimeRange : 2017.12.11-2018.04.06
         * canShare : false
         * status : 1
         * userPromotionId : 6
         * userReceiveAvatar : 微信头像
         * userReceiveName : 微信用户名称
         * userReceiveTime : 用户领取时间
         */

        private String storeName;
        private int storeId;
        private int promotionId;
        private int discountFee;
        private String condition;
        private String name;
        private String userTimeRange;
        private boolean canShare;
        private int status;
        private int userPromotionId;
        private String userReceiveAvatar;
        private String userReceiveName;
        private String userReceiveTime;

        public String getStoreName() {
            return storeName;
        }

        public void setStoreName(String storeName) {
            this.storeName = storeName;
        }

        public int getStoreId() {
            return storeId;
        }

        public void setStoreId(int storeId) {
            this.storeId = storeId;
        }

        public int getPromotionId() {
            return promotionId;
        }

        public void setPromotionId(int promotionId) {
            this.promotionId = promotionId;
        }

        public int getDiscountFee() {
            return discountFee;
        }

        public void setDiscountFee(int discountFee) {
            this.discountFee = discountFee;
        }

        public String getCondition() {
            return condition;
        }

        public void setCondition(String condition) {
            this.condition = condition;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getUserTimeRange() {
            return userTimeRange;
        }

        public void setUserTimeRange(String userTimeRange) {
            this.userTimeRange = userTimeRange;
        }

        public boolean isCanShare() {
            return canShare;
        }

        public void setCanShare(boolean canShare) {
            this.canShare = canShare;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public int getUserPromotionId() {
            return userPromotionId;
        }

        public void setUserPromotionId(int userPromotionId) {
            this.userPromotionId = userPromotionId;
        }

        public String getUserReceiveAvatar() {
            return userReceiveAvatar;
        }

        public void setUserReceiveAvatar(String userReceiveAvatar) {
            this.userReceiveAvatar = userReceiveAvatar;
        }

        public String getUserReceiveName() {
            return userReceiveName;
        }

        public void setUserReceiveName(String userReceiveName) {
            this.userReceiveName = userReceiveName;
        }

        public String getUserReceiveTime() {
            return userReceiveTime;
        }

        public void setUserReceiveTime(String userReceiveTime) {
            this.userReceiveTime = userReceiveTime;
        }
    }
}
